Creating a payment request

Payment requests are created based on an amount in pesos and contain information about the exchange rate of the order in each available currency for making the payment. To initiate a payment, it is necessary to first create the payment request.

The route for creating them receives an amount in pesos and the accepted currencies, and the backend calculates the exchange rate for each currency and stores it in the database. The SimpleFi system listens to the blockchains of all accepted currencies and updates payment requests when the corresponding payments are found.

To create a payment request:

Create Payment Request

post
Authorizations
OAuth2passwordRequired
Token URL:
Body
ars_amountany ofOptional
numberOptional
or
nullOptional
amountany ofOptional
numberOptional
or
nullOptional
currencyany ofOptional
string · enumOptionalPossible values:
or
nullOptional
itemsany ofOptional
or
nullOptional
memoany ofOptional
stringOptional
or
nullOptional
coinsany ofOptional
or
nullOptional
card_paymentany ofOptionalDefault: false
booleanOptional
or
nullOptional
notification_urlany ofOptional
stringOptional
or
nullOptional
merchant_idany ofOptional
anyOptional
or
nullOptional
Responses
chevron-right
201

Successful Response

application/json
idstringRequired
order_idintegerRequired
ars_amountnumberRequired
ars_paidnumberRequired
amountnumberRequired
original_amountany ofOptional
numberOptional
or
nullOptional
card_amountany ofOptional
numberOptional
or
nullOptional
amount_paidnumberRequired
currencystring · enumRequiredPossible values:
itemsany ofOptional
or
nullOptional
usd_amountnumberRequired
memoany ofOptional
stringOptional
or
nullOptional
notification_urlany ofOptional
stringOptional
or
nullOptional
statusstring · enumRequiredPossible values:
status_detailstring · enumRequiredPossible values:
approved_atany ofOptional
string · date-timeOptional
or
nullOptional
expiration_timestring · date-timeRequired
deliveredbooleanRequired
card_paymentany ofOptional
or
nullOptional
stripe_invoiceany ofOptional
or
nullOptional
merchant_idstringRequired
installment_plan_idany ofOptional
stringOptional
or
nullOptional
pricing_modestring · enumOptionalDefault: crypto_basePossible values:
crypto_discountnumberOptionalDefault: 0
extra_chargenumberOptionalDefault: 0
is_remaining_balance_paymentbooleanOptionalDefault: false
poap_mintedbooleanOptionalDefault: false
offramp_statusany ofOptional
stringOptional
or
nullOptional
offramp_dataany ofOptional
or
nullOptional
date_createdstring · date-timeRequired
last_modifiedstring · date-timeRequired
checkout_urlstringRead-onlyRequired
checkout_v2_urlstringRead-onlyRequired
conflictbooleanRead-onlyRequired
post
/payment_requests

  • The 'reference' field can be used freely to create a reference for this payment request.

  • The 'coins' attribute contains an array in the format [{'ticker': 'USDC', 'chain_id': 10}, {...}], where the ticker of each currency you want to offer as an option must be specified. All indicated currencies that do not have a configured address in the Business will be ignored. The API will respond with quotes for all tokens that have a configured address in the business.

  • The 'notification_url' field is optional. It allows you to specify a different URL than the one configured in the business to receive notifications associated with this transaction.

Obtaining the dynamic QR

It is possible to obtain a QR code linked to a specific payment request. This QR code redirects to the checkout, linking the payment with the order created in the SimpleFi system or the payment network system.

Create Payment Request With Qr

post
Authorizations
OAuth2passwordRequired
Token URL:
Body
ars_amountany ofOptional
numberOptional
or
nullOptional
amountany ofOptional
numberOptional
or
nullOptional
currencyany ofOptional
string · enumOptionalPossible values:
or
nullOptional
itemsany ofOptional
or
nullOptional
memoany ofOptional
stringOptional
or
nullOptional
coinsany ofOptional
or
nullOptional
card_paymentany ofOptionalDefault: false
booleanOptional
or
nullOptional
notification_urlany ofOptional
stringOptional
or
nullOptional
merchant_idany ofOptional
anyOptional
or
nullOptional
Responses
chevron-right
201

Successful Response

No content

post
/payment_requests/qr

No content

Last updated